3v4l.org

run code in 200+ php & hhvm versions
Bugs & Features
<?php try { throw new Exception('x'); } catch (Exception $e) { throw new Exception('y', 0, $e); }
Output for 7.0.0 - 7.2.0
Fatal error: Uncaught Exception: x in /in/oumNr:4 Stack trace: #0 {main} Next Exception: y in /in/oumNr:6 Stack trace: #0 {main} thrown in /in/oumNr on line 6
Process exited with code 255.
Output for 5.3.18 - 5.6.28
Fatal error: Uncaught exception 'Exception' with message 'x' in /in/oumNr:4 Stack trace: #0 {main} Next exception 'Exception' with message 'y' in /in/oumNr:6 Stack trace: #0 {main} thrown in /in/oumNr on line 6
Process exited with code 255.